com.sap.core.connectivity.api.validation.consts

## Interface LdapConstants

-     public interface LdapConstants

  Provides constants which are Ldap Destination specific.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLOUD_CONNECTOR_LOCATIONID` Cloud connector location ID property.
    `static String` | `KEY_AUTHENTICATION` Authentication property.
    `static String` | `KEY_DESCRIPTION` Description property.
    `static String` | `KEY_PASSWORD` Password property.
    `static String` | `KEY_PROXY_TYPE` Proxy type property.
    `static String` | `KEY_URL` URL property.
    `static String` | `KEY_USER` User property.
    `static String` | `PROXY_INTERNET` Proxy type - Internet.
    `static String` | `PROXY_ON_PREMISE` Proxy type - On premise.
    `static String` | `VALUE_BASIC_AUTHENTICATION` Authentication type - Basic.
    `static String` | `VALUE_NO_AUTHENTICATION` Authentication type - No authentication.

- - ### Field Detail

    - #### KEY_AUTHENTICATION

          static final String KEY_AUTHENTICATION

      Authentication property.
      See Also:
        Constant Field Values

    - #### VALUE_BASIC_AUTHENTICATION

          static final String VALUE_BASIC_AUTHENTICATION

      Authentication type - Basic.
      See Also:
        Constant Field Values

    - #### VALUE_NO_AUTHENTICATION

          static final String VALUE_NO_AUTHENTICATION

      Authentication type - No authentication.
      See Also:
        Constant Field Values

    - #### KEY_DESCRIPTION

          static final String KEY_DESCRIPTION

      Description property.
      See Also:
        Constant Field Values

    - #### KEY_USER

          static final String KEY_USER

      User property.
      See Also:
        Constant Field Values

    - #### KEY_PASSWORD

          static final String KEY_PASSWORD

      Password property.
      See Also:
        Constant Field Values

    - #### KEY_URL

          static final String KEY_URL

      URL property.
      See Also:
        Constant Field Values

    - #### KEY_PROXY_TYPE

          static final String KEY_PROXY_TYPE

      Proxy type property.
      See Also:
        Constant Field Values

    - #### PROXY_INTERNET

          static final String PROXY_INTERNET

      Proxy type - Internet.
      See Also:
        Constant Field Values

    - #### PROXY_ON_PREMISE

          static final String PROXY_ON_PREMISE

      Proxy type - On premise.
      See Also:
        Constant Field Values

    - #### CLOUD_CONNECTOR_LOCATIONID

          static final String CLOUD_CONNECTOR_LOCATIONID

      Cloud connector location ID property.
      See Also:
        Constant Field Values

Copyright © 2018 SAP. All Rights Reserved.